Package com.io7m.waxmill.xml.vm.v1

# Class WXM1BootConfigurationGRUBBhyveParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1BootConfigurationGRUBBhyveParser

All Implemented Interfaces:
  `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>`

    public final class WXM1BootConfigurationGRUBBhyveParser
    extends java.lang.Object
    implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXM1BootConfigurationGRUBBhyveParser​(java.nio.file.FileSystem inFileSystem)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
  `WXMBootConfigurationGRUBBhyve` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context, org.xml.sax.Attributes attributes)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

  `map, name, onCharacters, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### WXM1BootConfigurationGRUBBhyveParser

    public WXM1BootConfigurationGRUBBhyveParser​(java.nio.file.FileSystem inFileSystem)

- ## Method Details

  - ### onChildHandlersRequested

    public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>`

  - ### onChildValueProduced

    public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>`

  - ### onElementStart

    public void onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context, org.xml.sax.Attributes attributes) throws org.xml.sax.SAXParseException
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>`
    Throws:
      `org.xml.sax.SAXParseException`

  - ### onElementFinished

    public WXMBootConfigurationGRUBBhyve onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMBootConfigurationGRUBBhyve>`